Package org.eclipse.emf.cdo.server

# Class CDOServerImporter.Binary

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerImporter
org.eclipse.emf.cdo.server.CDOServerImporter.Binary

All Implemented Interfaces:
  `CDOServerExporter.BinaryConstants`

Enclosing class:
  CDOServerImporter

public static class CDOServerImporter.Binary extends CDOServerImporter implements CDOServerExporter.BinaryConstants
An `importer` that reads and interprets XML output created by an `XML exporter`.

Since:
  4.8
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerImporter

`CDOServerImporter.Binary, CDOServerImporter.Handler, CDOServerImporter.Handler2, CDOServerImporter.XML`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerExporter.BinaryConstants

`BLOB, BRANCH, CLOB, COMMIT, EOF, PACKAGE_INFO, PACKAGE_UNIT, REPOSITORY, REVISION`

## Constructor Summary

Constructors
Constructor
Description
`Binary(IRepository repository)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`importAll(InputStream stream, CDOServerImporter.Handler handler)`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerImporter

`getBranchPath, getRepository, getStatistics, getTimeStamp, importRepository, setBranchPath, setTimeStamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Binary

public Binary(IRepository repository)

## Method Details

### importAll

protected void importAll(InputStream stream, CDOServerImporter.Handler handler) throws Exception

Specified by:
  `importAll` in class `CDOServerImporter`
Throws:
  `Exception`